import axios from '../api'

export default {
  roleList(params) {
    return axios.post('/api/front/userauthgroup/index',JSON.stringify(params))
  },
  setStatus(params) {
    return axios.post('/api/front/userauthgroup/setStatus',params)
  },
  authGroupAdd(params) {
    return axios.post('/api/front/userauthgroup/add',params)
  },
  authGroupDel(params) {
    return axios({
      url: '/api/front/userauthgroup/drop',
      method: 'post',
      params:params
    })
  },
  authGroupEdit(params) {
    return axios.post('/api/front/userauthgroup/edit',params)
  },
  authGroupInfo(id){
    return axios({
      url: '/api/front/userauthgroup/info',
      method: 'get',
      params: {
        id
      }
    })
  },
  setRules(params) {
    return axios.post('/api/front/userauthgroup/setRules',params)
  },
  getEdit(params) {
    return axios.get('/api/front/userauthgroup/getAuthGroup',JSON.stringify(params))
  },

  getAuthGroupList(params){
    return axios.post('/api/front/userauthgroup/getAuthGroupList',JSON.stringify(params))
  }
}
